Subject: Re: bug#34685: 26.1; function nnrss-get-namespace-prefix always returns nil

From: Noam Postavsky <[email-masked]>
Date: Fri, 12 Apr 2019 07:55:26 -0400

severity 34685 minor
quit

Noam Postavsky <[email-masked]> writes:

> From: wenbushi <[email-masked]>

> I've found the tag of my rss feed wasn't in the right place after several
> days and forgot to close this issue. After that I didn't check the format
> requirements of rss xml carefully though and just made a patch to fix it.
> The original codes works well for all other feeds except the outlier I
> tested at first(so unlucky!). Maybe it's quite rare for an rss xml to put
> its tags in the wrong places.

Well, if it's only the one feed, I guess this is not too urgent a bug,
but I don't think the feed is technically wrong.  As I said before, XML
allows xmlns attributes anywhere in the document, so nnrss should be
fixed to handle it.  But we need to have test cases both of the
"outlier" case and "typical" cases to get it right.